#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long int n,k;

    cin>>n>>k;

    vector<long long int> a(k);
    vector<pair<long long int,long long int>> b(k);

    for(long long int i=0; i<k; i++)
    {
        cin>>a[i];
        b[i].first=a[i];
        b[i].second=i;
    }


    sort(b.begin(), b.end());



    vector<long long int> eredmenyek(k);

   for(long long int i=0; i<k; i++)
   {
        long long int x=1;

        for(long long int j=1; j<=i; j++)
        {
            if(b[i].first%b[j].first==0)
            {
                x=x^b[j].first;


            }
        }


        eredmenyek[b[i].second]=x;
   }


   for(long long int i=0; i<eredmenyek.size(); i++)
   {
       cout<<eredmenyek[i]<<" ";
   }



    return 0;
}